| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
NPNZ_FLAGS_s Struct Reference

Consolidated list of status bit value enumerations. More...

`#include <power_control/drivers/npnz16b.h>`

Collaboration diagram for NPNZ_FLAGS_s:

## Data Fields
enum NPNZ_STATUS_FLAGS_e | StatusWordFlags
| List of all status and control flags of the NPNZ16b status word. More...
enum NPNZ_STATUS_SATURATION_e | flagSaturation
| List of all status and control flags of the NPNZ16b status word. More...
enum NPNZ_STATUS_AGC_ENABLE_e | flagAgcControl
| List of all status and control flags of the NPNZ16b status word. More...
enum NPNZ_STATUS_SOURCE_SWAP_e | flagSourceSwap
| List of State Machine Operating State IDs. More...
enum NPNZ_STATUS_TARGET_SWAP_e | flagTargetSwap
| List of State Machine Sub-State IDs. More...
enum NPNZ_STATUS_INPUT_INV_e | flagCtrlInputInversion
| List of State Machine Operating State Return Values. More...
enum NPNZ_STATUS_ENABLE_e | flagControlEnable
| List of Supported Control Modes. More...

## Detailed Description

Consolidated list of status bit value enumerations.

Definition at line 147 of file npnz16b.h.

## Field Documentation

## ◆ flagAgcControl

enum NPNZ_STATUS_AGC_ENABLE_e flagAgcControl

List of all status and control flags of the NPNZ16b status word.

Definition at line 151 of file npnz16b.h.

## ◆ flagControlEnable

enum NPNZ_STATUS_ENABLE_e flagControlEnable

List of Supported Control Modes.

Definition at line 155 of file npnz16b.h.

## ◆ flagCtrlInputInversion

enum NPNZ_STATUS_INPUT_INV_e flagCtrlInputInversion

List of State Machine Operating State Return Values.

Definition at line 154 of file npnz16b.h.

## ◆ flagSaturation

enum NPNZ_STATUS_SATURATION_e flagSaturation

List of all status and control flags of the NPNZ16b status word.

Definition at line 150 of file npnz16b.h.

## ◆ flagSourceSwap

enum NPNZ_STATUS_SOURCE_SWAP_e flagSourceSwap

List of State Machine Operating State IDs.

Definition at line 152 of file npnz16b.h.

## ◆ flagTargetSwap

enum NPNZ_STATUS_TARGET_SWAP_e flagTargetSwap

List of State Machine Sub-State IDs.

Definition at line 153 of file npnz16b.h.

## ◆ StatusWordFlags

enum NPNZ_STATUS_FLAGS_e StatusWordFlags

List of all status and control flags of the NPNZ16b status word.

Definition at line 149 of file npnz16b.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/drivers/npnz16b.h